jvx.project

## Class PjWorkshop_IP

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - jv.object.PsPanel
        - - jvx.project.PjWorkshop_IP

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, PsUpdateIf
  Direct Known Subclasses:
    PnCellOperator_IP, PnMinesweeper_IP, PsExportInfo_IP, PsModelInfo_IP, PwAdjustColors_IP, PwBlocks_IP, PwBoundary_IP, PwCleanMesh_IP, PwClip_IP, PwCubeSet_IP, PwEnergy_IP, PwEvolve_IP, PwExplode_IP, PwGeodesic_IP, PwGeodesicFlow_IP, PwHistogram_IP, PwHodge_IP, PwIdentifyElements_IP, PwIdentifyVertices_IP, PwIntegralLine_IP, PwIntegralLineSet_IP, PwIntersectElementSet_IP, PwIntersectWithFunction_IP, PwIsoline_IP, PwLIC_IP, PwLocalButterfly_IP, PwLocalRemesh_IP, PwMarkWithSphere_IP, PwMatching_IP, PwMaterial_IP, PwModel_IP, PwModelTwoParm_IP, PwNoise_IP, PwParameterLines_IP, PwPlatonic_IP, PwReeb_IP, PwRefineElementSet_IP, PwRefinePolygon_IP, PwRotDiv_IP, PwScalarField_IP, PwSeeds_IP, PwShapeOperator_IP, PwSimplify_IP, PwSimplifyTet_IP, PwSmooth_IP, PwSnake_IP, PwStc_IP, PwSurface_IP, PwSymmetry_IP, PwTetraRivara_IP, PwTetraSet_IP, PwTexture_IP, PwTopology_IP, PwTransform_IP, PwUnfold_IP, PwVectorField_IP

      public abstract class PjWorkshop_IP
      extends PsPanel
      implements java.awt.event.ActionListener

  Info panel for workshops provides individual gui elements which allow to configure a workshop interactively.

  If a workshop dialog is opened and assigned a workshop as parent, then this info panel of the workshop is created and added to the workshop dialog. This info panel will receive ActionEvents when the user presses dialog buttons.

  See Also:
    `PjWorkshop_Dialog`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    05.03.03, 1.50 revised (kp) Implement new methods which perform action on corresponding dialog buttons.
    23.12.01, 1.00 created (kp)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class jv.object.PsPanel

      `BORDER_GROOVE, BORDER_LINE, BORDER_LINETOP, BORDER_NONE, BORDER_SUNK, BOUNDARY, BOUNDARY_EXT, CONFIG, CONFIG_EXT, INFO, INFO_EXT, LABEL, LABEL_EXT, MATERIAL, MATERIAL_EXT, ORIENT_GUIDE, ORIENT_HORIZONTAL, ORIENT_VERTICAL, TEXTURE, TEXTURE_EXT, VECTOR, VECTOR_EXT`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PjWorkshop_IP()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)` Catch action events fired by buttons of a dialog which displays this info panel.
    `java.awt.Dimension` | `getDialogSize()` Get preferred size, for example, to ensure size of dialog.
    `java.lang.String` | `getDialogTitle()` Get title of dialog.
    `java.lang.String` | `getNotice()` Informational text on the usage of the dialog.
    `void` | `setParent(PsUpdateIf parent)` Set parent of this panel which receives update events.

    - ### Methods inherited from class jv.object.PsPanel

      `addLabelComponent, addLine, addLine, addSubTitle, addTextField, addTitle, drawBorder, drawBorder, drawBorder, drawBorder, drawText, getFather, getInsets, getLanguage, getPanelVersion, getPreferredSize, getTitle, getTitle, getTitle, hasTitle, init, instanceOf, paint, removeTitle, select, setBackColor, setBorderType, setEnabled, setImage, setInsetSize, setInsetSizeHorizontal, setInsetSizeVertical, setLabel, setLabel, setOutOfDate, setPreferredSize, setSelectedCheckbox, setState, setText, setText, setTitle, setVisible, update, update`

    - ### Methods inherited from class java.awt.Panel

      `addNotify, getAccessibleContext`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Constructor Detail

    - #### PjWorkshop_IP

          public PjWorkshop_IP()

      Constructor

  - ### Method Detail

    - #### setParent

          public void setParent(PsUpdateIf parent)

      Set parent of this panel which receives update events.

      The method `getFather()` allows to retrieve this parent.

      Specified by:
        `setParent` in interface `PsUpdateIf`
      Overrides:
        `setParent` in class `PsPanel`
      Parameters:
        `parent` - parent of this panel
      See Also:
        `PsPanel.getFather()`

    - #### getNotice

          public java.lang.String getNotice()

      Informational text on the usage of the dialog. This notice will be displayed if this info panel is shown in a dialog. The text is split at line breaks into individual lines on the dialog.

      The method of PjWorkshop_IP returns null and should be overwritten.

      Returns:
        string with textual information about usage of workshop.

    - #### getDialogTitle

          public java.lang.String getDialogTitle()

      Get title of dialog. The title of a workshop dialog is obtained by doing the following steps until a valid string has been found:

           1. This method is invoked respectively of subclasses.
           2. The title of the info panel is checked, and if non-null,
              the title of the info panel is removed and put as title of the dialog.
           3. The default title of PjWorkshop_Dialog is taken.

    - #### getDialogSize

          public java.awt.Dimension getDialogSize()

      Get preferred size, for example, to ensure size of dialog.

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Catch action events fired by buttons of a dialog which displays this info panel. This method invokes a method of the parent workshop which correspond to the name of the pressed button.

      Subclasses are advised to call super.actionPerformed() on any events, which they do not handle themselves, in order to let this method inform the workshop.

      Subclasses may also catch dialog button events using a phrase

               if (event.getID() == PsDialog.BUTTON_OK) {
                   ...                             // do their own business, but
                   super.actionPerformed(event);   // still call super too.
               }

      For example, if a user presses the CANCEL button, then the dialog fires an action event to be received by this info panel or a subclass. The subclass may optionally perform some clean-up. If the subclass overwrites the actionPerformed method it should ensure that this info panel still receives the event via super.actionPerformed(). This class will catch the event and call workshop.cancel(). The workshop will then restore the original geometry and dispose itself. Finally the dialog will dispose itself in PsDialog.

      On button-reset the method workshop.update(workshop) is invoked. This method must assure that all reset instance variables of a workshop update their dependencies.

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`
      Since:
        JavaView 2.53
      Version:
        23.07.03, 1.10 revised (kp) On button-reset update workshop from here instead from PsDialog.
        06.03.03, 1.00 created (kp)

"

The software JavaView? is copyright protected. All Rights Reserved.
"